org.apache.poi.xwpf.usermodel

## Class XWPFHyperlinkRun

- java.lang.Object
- - org.apache.poi.xwpf.usermodel.XWPFRun
  - - org.apache.poi.xwpf.usermodel.XWPFHyperlinkRun

- All Implemented Interfaces:
    CharacterRun, IRunElement, ISDTContents

      public class XWPFHyperlinkRun
      extends XWPFRun

  A run of text with a Hyperlink applied to it. Any given Hyperlink may be made up of multiple of these.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.poi.xwpf.usermodel.XWPFRun

      `XWPFRun.FontCharRange`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XWPFHyperlinkRun(org.openxmlformats.schemas.wordprocessingml.x2006.main.CTHyperlink hyperlink, org.openxmlformats.schemas.wordprocessingml.x2006.main.CTR run, IRunBody p)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAnchor()`
    `org.openxmlformats.schemas.wordprocessingml.x2006.main.CTHyperlink` | `getCTHyperlink()`
    `XWPFHyperlink` | `getHyperlink(XWPFDocument document)` If this Hyperlink is an external reference hyperlink, return the object for it.
    `java.lang.String` | `getHyperlinkId()` Returns the ID of the hyperlink, if one is set.
    `void` | `setHyperlinkId(java.lang.String id)`

    - ### Methods inherited from class org.apache.poi.xwpf.usermodel.XWPFRun

      `addBreak, addBreak, addBreak, addCarriageReturn, addChart, addPicture, addTab, getCharacterSpacing, getColor, getCTR, getDocument, getEmbeddedPictures, getEmphasisMark, getFontFamily, getFontFamily, getFontName, getFontSize, getKerning, getLang, getParagraph, getParent, getPhonetic, getPictureText, getRunProperties, getStyle, getSubscript, getText, getTextHightlightColor, getTextPosition, getTextScale, getUnderline, getUnderlineColor, getUnderlineThemeColor, getVerticalAlignment, isBold, isCapitalized, isDoubleStrikeThrough, isEmbossed, isHighlighted, isImprinted, isItalic, isShadowed, isSmallCaps, isStrike, isStrikeThrough, isVanish, removeBreak, removeCarriageReturn, removeTab, setBold, setCapitalized, setCharacterSpacing, setColor, setDoubleStrikethrough, setEmbossed, setEmphasisMark, setFontFamily, setFontFamily, setFontSize, setImprinted, setItalic, setKerning, setLang, setShadow, setSmallCaps, setStrike, setStrikeThrough, setStyle, setSubscript, setText, setText, setTextHighlightColor, setTextPosition, setTextScale, setUnderline, setUnderlineColor, setUnderlineThemeColor, setVanish, setVerticalAlignment, text, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### XWPFHyperlinkRun

          public XWPFHyperlinkRun(org.openxmlformats.schemas.wordprocessingml.x2006.main.CTHyperlink hyperlink,
                                  org.openxmlformats.schemas.wordprocessingml.x2006.main.CTR run,
                                  IRunBody p)

  - ### Method Detail

    - #### getCTHyperlink

          @Internal
          public org.openxmlformats.schemas.wordprocessingml.x2006.main.CTHyperlink getCTHyperlink()

    - #### getAnchor

          public java.lang.String getAnchor()

    - #### getHyperlinkId

          public java.lang.String getHyperlinkId()

      Returns the ID of the hyperlink, if one is set.

    - #### setHyperlinkId

          public void setHyperlinkId(java.lang.String id)

    - #### getHyperlink

          public XWPFHyperlink getHyperlink(XWPFDocument document)

      If this Hyperlink is an external reference hyperlink, return the object for it.

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.